matrix:
  platform:
    - fedora40
    - debian11
    - ubuntu2004
    - ubuntu2204
    - ubuntu2404
    - macos
    - macos_arm64
  bazel: ["7.x", "8.x", "9.x", "rolling"]
tasks:
  verify_jemalloc:
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
      - "@jemalloc"

bcr_test_module:
  module_path: examples
  matrix:
    platform:
      - fedora40
      - debian11
      - ubuntu2004
      - ubuntu2204
      - ubuntu2404
      - macos
      - macos_arm64
    bazel: ["7.x", "8.x", "9.x", "rolling"]
  tasks:
    verify_examples:
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_targets:
        - "//..."
      test_targets:
        - "//..."
